*here is the code for Appendix OE where we predict disagreement from prior 
*reports of attitude strength



***************Predicting Disagrement***

*Predicting W9 Disagreement From W1 Strength (overall index of strength; Table OE1)
	egen issue_avg_extw1 = rowmean( drugs1ext habeas1ext illeg1ext medic1ext path1ext phone1ext richtaxes1ext samesex1ext)
	egen issue_avg_impw1 = rowmean(drugs1imp habeas1imp illeg1imp medic1imp path1imp phone1imp richtaxes1imp samesex1imp)
	
	eststo clear
	eststo: regress pdiff_avg issue_avg_extw1 issue_avg_impw1 interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
	eststo: regress gendiff issue_avg_extw1 issue_avg_impw1 interest1 i.gender  c.educ c.income i.race c.age  	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ 	[pweight = WGTC09]
	esttab using predictingdisagreement.rtf, ar2 se star(+ 0.10 * 0.05 ** 0.01) onecell label addnotes(Results are from OLS Models and are weighted (WGTC09).)
	eststo clear
		
*Predicting W9 Disagreemen from W1 Strength (individual items; Table OE2)

eststo clear
eststo: regress pdiff_avg drugs1ext habeas1ext illeg1ext medic1ext path1ext phone1ext richtaxes1ext samesex1ext interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
eststo: regress pdiff_avg  drugs1imp habeas1imp illeg1imp medic1imp path1imp phone1imp richtaxes1imp samesex1imp interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
eststo: regress pdiff_avg drugs1ext habeas1ext illeg1ext medic1ext path1ext phone1ext richtaxes1ext samesex1ext drugs1imp habeas1imp illeg1imp medic1imp path1imp phone1imp richtaxes1imp samesex1imp interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
eststo: regress gendiff  drugs1ext habeas1ext illeg1ext medic1ext path1ext phone1ext richtaxes1ext samesex1ext interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
eststo: regress gendiff  drugs1imp habeas1imp illeg1imp medic1imp path1imp phone1imp richtaxes1imp samesex1imp interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
eststo: regress gendiff drugs1ext habeas1ext illeg1ext medic1ext path1ext phone1ext richtaxes1ext samesex1ext drugs1imp habeas1imp illeg1imp medic1imp path1imp phone1imp richtaxes1imp samesex1imp interest1 i.gender  c.educ c.income i.race c.age 	c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  	[pweight = WGTC09]
esttab using predictingdisagreement_indiv.rtf, ar2 se star(+ 0.10 * 0.05 ** 0.01) onecell label addnotes(Results are from OLS Models and are weighted (WGTC09).)

		
		