
****Here is code replicating our in-text figures
****with OLOGIT models rather than OLS Models



***Attitude Importance
	***Partisan Disagreement
		*without controls*
		eststo clear
		eststo: ologit samesex10imp partydiff  [pweight = WGTL10]
		eststo: ologit richtaxes10imp partydiff   [pweight = WGTL10]
		eststo: ologit drugs10imp partydiff   [pweight = WGTL10]
		eststo: ologit medic10imp partydiff   [pweight = WGTL10]
		eststo: ologit habeas10imp partydiff  [pweight = WGTL10]
		eststo: ologit phone10imp partydiff  [pweight = WGTL10]
		eststo: ologit illeg10imp partydiff  [pweight = WGTL10]
		eststo: ologit path10imp partydiff  [pweight = WGTL10]
		esttab using attimp_PD_nocontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
		eststo clear
		*with controls*
		eststo clear
		eststo: ologit samesex10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store SameSexPD1
		eststo: ologit richtaxes10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store RichTaxesPD1
		eststo: ologit drugs10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store DrugsPD1
		eststo: ologit medic10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store MedicPD1
		eststo: ologit habeas10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store HabeasPD1
		eststo: ologit phone10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PhoneTapPD1
		eststo: ologit illeg10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store IllegImmPD1
		eststo: ologit path10imp partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PathwayPD1
		esttab using attimp_PD_withcontrols_ologit1.rtf, onecell label se pr2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLOGIT models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
	
	**General Disagreement***
			*without controls*
				eststo clear
				eststo: ologit samesex10imp gendiff  [pweight = WGTL10]
				eststo: ologit richtaxes10imp gendiff   [pweight = WGTL10]
				eststo: ologit drugs10imp gendiff   [pweight = WGTL10]
				eststo: ologit medic10imp gendiff   [pweight = WGTL10]
				eststo: ologit habeas10imp gendiff  [pweight = WGTL10]
				eststo: ologit phone10imp gendiff  [pweight = WGTL10]
				eststo: ologit illeg10imp gendiff  [pweight = WGTL10]
				eststo: ologit path10imp gendiff  [pweight = WGTL10]
				esttab using attimp_gendiff_nocontrolswithcontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
			*with controls*
				eststo clear
				eststo: ologit samesex10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store SameSexPDG1
				eststo: ologit richtaxes10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store RichTaxesPDG1
				eststo: ologit drugs10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store DrugsPDG1
				eststo: ologit medic10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store MedicPDG1
				eststo: ologit habeas10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store HabeasPDG1
				eststo: ologit phone10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store PhoneTapPDGG1
				eststo: ologit illeg10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store IllegImmPDG1
				eststo: ologit path10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store PathwayPDG1
				esttab using attimp_gendiff_withcontrols_ologit.rtf, onecell label se pr2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLOGIT models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
				eststo clear
		
***Attitude Extremity
	*Partisan disagreement
		*without controls*
		eststo clear
		eststo: ologit samesex10ext partydiff  [pweight = WGTL10]
		eststo: ologit richtaxes10ext partydiff   [pweight = WGTL10]
		eststo: ologit drugs10ext partydiff   [pweight = WGTL10]
		eststo: ologit medic10ext partydiff   [pweight = WGTL10]
		eststo: ologit habeas10ext partydiff  [pweight = WGTL10]
		eststo: ologit phone10ext partydiff  [pweight = WGTL10]
		eststo: ologit illeg10ext partydiff  [pweight = WGTL10]
		eststo: ologit path10ext partydiff  [pweight = WGTL10]
		esttab using attext_PDEX_nocontrolswithcontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
		*with controls*
		eststo clear
		eststo: ologit samesex10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store SameSexPDEX1
		eststo: ologit richtaxes10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store RichTaxesPDEX1
		eststo: ologit drugs10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store DrugsPDEX1
		eststo: ologit medic10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store MedicPDEX1
		eststo: ologit habeas10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store HabeasPDEX1
		eststo: ologit phone10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PhoneTapPDEX1
		eststo: ologit illeg10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store IllegImmPDEX1
		eststo: ologit path10ext partydiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PathwayPDEX1
		esttab using attext_PDEX_withcontrols_ologit.rtf, onecell label se pr2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLOGIT models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
	
	*General Disagreement
		*without controls*
			eststo clear
			eststo: ologit samesex10ext gendiff  [pweight = WGTL10]
			eststo: ologit richtaxes10ext gendiff   [pweight = WGTL10]
			eststo: ologit drugs10ext gendiff   [pweight = WGTL10]
			eststo: ologit medic10ext gendiff   [pweight = WGTL10]
			eststo: ologit habeas10ext gendiff  [pweight = WGTL10]
			eststo: ologit phone10ext gendiff  [pweight = WGTL10]
			eststo: ologit illeg10ext gendiff  [pweight = WGTL10]
			eststo: ologit path10ext gendiff  [pweight = WGTL10]
			esttab using attext_gendiff_nocontrolswithcontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
		*with controls*
			eststo clear
			eststo: ologit samesex10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store SameSexPDEXG1
			eststo: ologit richtaxes10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store RichTaxesPDEXG1
			eststo: ologit drugs10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store DrugsPDEXG1
			eststo: ologit medic10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store MedicPDEXG1
			eststo: ologit habeas10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store HabeasPDEXG1
			eststo: ologit phone10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PhoneTapPDEXGG1
			eststo: ologit illeg10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store IllegImmPDEXG1
			eststo: ologit path10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PathwayPDEXG1
			esttab using attext_gendiff_withcontrol_ologit.rtf, onecell label se pr2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLOGIT models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
		
		
*Creating the Graph		
	*Partisan Disagreement Graph*
		coefplot (SameSexPD1, mlabsize(vsmall) mlabels(partydiff = 1 "SS Marriage") mlabposition(12))(RichTaxesPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Taxes on Rich") mlabposition(12))  ///
			(DrugsPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	(MedicPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Gov't Pay for Medical Care") mlabposition(12)) ///
			(HabeasPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) (PhoneTapPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Court Order for Wiretaps") mlabposition(12)) (IllegImmPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Illeg. Immigrants Work Rights") mlabposition(12)) ///
			(PathwayPD1, mlabsize(vsmall) mlabels(partydiff = 1 "Pathway to Citizenship") mlabposition(12)) || ///
			(SameSexPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "SS Marriage") mlabposition(12))(RichTaxesPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Taxes on Rich") mlabposition(12)) ///
			(DrugsPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	(MedicPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Gov't Pay for Medical Care") mlabposition(12)) ///
			(HabeasPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) (PhoneTapPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Court Order for Wiretaps") mlabposition(12)) (IllegImmPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Illeg. Immigrants Work Rights") mlabposition(12)) ///
			(PathwayPDEX1, mlabsize(vsmall) mlabels(partydiff = 1 "Pathway to Citizenship") mlabposition(12)) ||  , ///
			drop(_cons interest10 pid10 ideology10 1.gender age educ income 2.race 3.race 4.race network_genderh network_denom race_network network_size network_close network_interest network_educ) xline(0) level(95 90) 
			
		
			
	*General Disagreement
						
	coefplot (SameSexPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "SS Marriage") mlabposition(12))(RichTaxesPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Taxes on Rich") mlabposition(12)) ///
		(DrugsPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Senior Drugs") mlabposition(12)) ///
		(MedicPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Medical Care") mlabposition(12)) ///
		(HabeasPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) ///
		(PhoneTapPDGG1, mlabsize(vsmall) mlabels(gendiff = 1 "Court Order for Wiretaps") mlabposition(12)) ///
		(IllegImmPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Illeg. Immigrants Work Rights") mlabposition(12)) ///
		(PathwayPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Pathway to Citizenship") mlabposition(12))  ||  ///
		(SameSexPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "SS Marriage") mlabposition(12)) ///
		(RichTaxesPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Taxes on Rich") mlabposition(12)) ///
		(DrugsPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	///
		(MedicPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Medical Care") mlabposition(12)) ///
		(HabeasPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) ///
		(PhoneTapPDEXGG1, mlabsize(vsmall) mlabels(gendiff = 1 "Court Order for Wiretaps") mlabposition(12)) ///
		(IllegImmPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Illeg. Immigrants Work Rights") mlabposition(12)) ///
		(PathwayPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Pathway to Citizenship") mlabposition(12)) || , ///
		drop(_cons interest10 pid10 ideology10 1.gender age educ income 2.race 3.race 4.race network_genderh network_denom race_network network_size network_close network_interest network_educ) xline(0) level(95 90)

	*the graphs were then combined using graph combine"
