*****Below is code used to create Figure 1
****Regressions were run for each strength measure and estimates stored
****Then the individual models were put together by strength type (e.g. extremity and then importance) via coefplot
****Then the four graphs were put together via graph combine


****Attitude Importance****
	
	drop _est_*
	***Party Disagreement
		*Models
		eststo clear
		eststo: regress samesex10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store SameSexPD1
		eststo: regress richtaxes10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store RichTaxesPD1
		eststo: regress drugs10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store DrugsPD1
		eststo: regress medic10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store MedicPD1
		eststo: regress habeas10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store HabeasPD1
		eststo: regress phone10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PhoneTapPD1
		eststo: regress illeg10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store IllegImmPD1
		eststo: regress path10imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PathwayPD1
		esttab using attimp_PD_withcontrols_age2.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
	
		*Graph of model results for disagreement*
		coefplot SameSexPD1 || RichTaxesPD1 || DrugsPD1 || MedicPD1 || HabeasPD1 || PhoneTapPD1 || IllegImmPD1  || PathwayPD1|| , keep(pdiff_avg) xline(0) level(95 90) bycoefs ylabel(1 "SS Marriage" 2 "Taxes on Rich" 3 "Senior Drugs" 4 "Medical Care" 5 "Habeas Corpus" 6 "Wiretaps" 7 "Imm. Work Stay" 8 "Path Citizenship") mlab mlabpos(12) format(%9.2g)
		graph save Graph "PD - Imp1.gph"
	***General Disagreement**
		*Models*
			eststo clear
			eststo: regress samesex10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store SameSexPDG1
			eststo: regress richtaxes10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store RichTaxesPDG1
			eststo: regress drugs10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store DrugsPDG1
			eststo: regress medic10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store MedicPDG1
			eststo: regress habeas10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store HabeasPDG1
			eststo: regress phone10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PhoneTapPDGG1
			eststo: regress illeg10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store IllegImmPDG1
			eststo: regress path10imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PathwayPDG1
			esttab using attimp_gendiff_withcontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)

			
			*Graph of model results for disagreement*
			coefplot SameSexPDG1 || RichTaxesPDG1 || DrugsPDG1 || MedicPDG1 || HabeasPDG1 || PhoneTapPDGG1 || IllegImmPDG1 || PathwayPDG1	|| , keep(gendiff) xline(0) level(95 90) bycoefs  ylabel(1 "SS Marriage" 2 "Taxes on Rich" 3 "Senior Drugs" 4 "Medical Care" 5 "Habeas Corpus" 6 "Wiretaps" 7 "Imm. Work Stay" 8 "Path Citizenship") mlab mlabpos(12) format(%9.2g)
			graph save Graph "GD - Imp1.gph"		
			
****Attitude Extremity****
		*Party Disagreement
			eststo clear
			eststo: regress samesex10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store SameSexPDEX1
			eststo: regress richtaxes10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store RichTaxesPDEX1
			eststo: regress drugs10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store DrugsPDEX1
			eststo: regress medic10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store MedicPDEX1
			eststo: regress habeas10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store HabeasPDEX1
			eststo: regress phone10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PhoneTapPDEX1
			eststo: regress illeg10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store IllegImmPDEX1
			eststo: regress path10ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PathwayPDEX1
			esttab using attext_PDEX_withcontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
			
			
			*Graph of model results for disagreement*
			coefplot SameSexPDEX1 ||  RichTaxesPDEX1 ||  DrugsPDEX1 ||  MedicPDEX1 ||  HabeasPDEX1 ||  PhoneTapPDEX1 ||  IllegImmPDEX1 ||  PathwayPDEX1 || , keep(pdiff_avg) xline(0) level(95 90) bycoefs ylabel(1 "SS Marriage" 2 "Taxes on Rich" 3 "Senior Drugs" 4 "Medical Care" 5 "Habeas Corpus" 6 "Wiretaps" 7 "Imm. Work Stay" 8 "Path Citizenship") yscale(alt) mlabel mlabposition(12) format(%9.2g)
			graph save Graph "PD - Ext.gph"		

			
		*General Disagreement**
				eststo clear
				eststo: regress samesex10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store SameSexPDEXG1
				eststo: regress richtaxes10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store RichTaxesPDEXG1
				eststo: regress drugs10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store DrugsPDEXG1
				eststo: regress medic10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store MedicPDEXG1
				eststo: regress habeas10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store HabeasPDEXG1
				eststo: regress phone10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store PhoneTapPDEXGG1
				eststo: regress illeg10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
				estimates store IllegImmPDEXG1
				eststo: regress path10ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
				estimates store PathwayPDEXG1
				esttab using attext_gendiff_withcontrols.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)

				
				
				*Graph of model results for disagreement*
				coefplot SameSexPDEXG1 ||  RichTaxesPDEXG1 ||  DrugsPDEXG1 ||  MedicPDEXG1 ||  HabeasPDEXG1 ||  PhoneTapPDEXGG1 ||  IllegImmPDEXG1 ||  PathwayPDEXG1 || , keep(gendiff) xline(0) level(95 90) bycoefs ylabel(1 "SS Marriage" 2 "Taxes on Rich" 3 "Senior Drugs" 4 "Medical Care" 5 "Habeas Corpus" 6 "Wiretaps" 7 "Imm. Work Stay" 8 "Path Citizenship") yscale(alt) mlabel mlabposition(12) format(%9.2g)
				graph save Graph "GD - Ext.gph"
				
	*Figure 1
	graph combine "PD - Imp1.gph" "PD - Ext.gph" "GD - Imp1.gph" "GD - Ext.gph"		, xcommon scheme(s2mono)
	*titles added via graph editor
